Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class LineManager

    java.lang.Object
      org.gjt.sp.jedit.buffer.LineManager

public class LineManager
extends java.lang.Object

A class internal to jEdit's document model. You should not use it directly. To improve performance, none of the methods in this class check for out of bounds access, nor are they thread-safe. The `Buffer` class, through which these methods must be called through, implements such protection.

Since:
  jEdit 4.2pre3
Version:
  $Id: LineManager.java,v 1.6 2004/06/26 19:10:58 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`LineManager()`

Method Summary
`void` | `_contentInserted(IntegerArray endOffsets)`
`void` | `contentInserted(int startLine, int offset, int numLines, int length, IntegerArray endOffsets)`
`void` | `contentRemoved(int startLine, int offset, int numLines, int length)`
`int` | `getFirstInvalidFoldLevel()`
`int` | `getFirstInvalidLineContext()`
`int` | `getFoldLevel(int line)`
`TokenMarker.LineContext` | `getLineContext(int line)`
`int` | `getLineCount()`
`int` | `getLineEndOffset(int line)`
`int` | `getLineOfOffset(int offset)`
`int` | `getScreenLineCount(int line)`
`void` | `invalidateScreenLineCounts()`
`boolean` | `isScreenLineCountValid(int line)`
`void` | `setFirstInvalidFoldLevel(int firstInvalidFoldLevel)`
`void` | `setFirstInvalidLineContext(int firstInvalidLineContext)`
`void` | `setFoldLevel(int line, int level)`
`void` | `setLineContext(int line, TokenMarker.LineContext context)`
`void` | `setScreenLineCount(int line, int count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineManager

    public LineManager()

Method Detail

### getLineCount

    public final int getLineCount()

### getLineOfOffset

    public int getLineOfOffset(int offset)

### getLineEndOffset

    public final int getLineEndOffset(int line)

### getFoldLevel

    public final int getFoldLevel(int line)

### setFoldLevel

    public final void setFoldLevel(int line,
                                   int level)

### setFirstInvalidFoldLevel

    public void setFirstInvalidFoldLevel(int firstInvalidFoldLevel)

### getFirstInvalidFoldLevel

    public int getFirstInvalidFoldLevel()

### isScreenLineCountValid

    public final boolean isScreenLineCountValid(int line)

### getScreenLineCount

    public final int getScreenLineCount(int line)

### setScreenLineCount

    public final void setScreenLineCount(int line,
                                         int count)

### getLineContext

    public final TokenMarker.LineContext getLineContext(int line)

### setLineContext

    public final void setLineContext(int line,
                                     TokenMarker.LineContext context)

### setFirstInvalidLineContext

    public void setFirstInvalidLineContext(int firstInvalidLineContext)

### getFirstInvalidLineContext

    public int getFirstInvalidLineContext()

### invalidateScreenLineCounts

    public void invalidateScreenLineCounts()

### _contentInserted

    public void _contentInserted(IntegerArray endOffsets)

### contentInserted

    public void contentInserted(int startLine,
                                int offset,
                                int numLines,
                                int length,
                                IntegerArray endOffsets)

### contentRemoved

    public void contentRemoved(int startLine,
                               int offset,
                               int numLines,
                               int length)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD